/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 31/10/2017
 --------------------------------------------------------*/

package com.portofolio.entity.vo;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.INTEGER;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class TypeDataObjekId implements java.io.Serializable {

	private static final String cDefKdTypeDataObjek = INTEGER;
	@Column(name = "KdTypeDataObjek", columnDefinition = cDefKdTypeDataObjek)
	@NotNull(message = "typedataobjekid.kdtypedataobjek.notnull")
	private Integer kdTypeDataObjek;

}
